package local.targets;

/*!
 *  ======== TIArm11 ========
 *  TI Arm11 target
 *
 *  This module represents a little endian Arm11 ti_arm9_abi
 *  target.  In this case, we inherit from the `{@link ITIArm}` interface
 *  (defined in this package) to show how to "share" common
 *  settings amoung multiple modules.  Again, there is no
 *  implementation required for this module.
 */
metaonly module TIArm11 inherits local.targets.ITIArm
{
    override readonly config String name             = "TIArm11";
    override readonly config String suffix           = "470_11";
    override readonly config String isa              = "arm6";    
    override readonly config xdc.bld.ITarget.Model model = {
        endian: "little"
    };

    override readonly config ti.targets.ITarget.Command cc = {
        cmd:  "cl470",
        opts: "-c -me --abi=ti_arm9_abi -mv=6 -eo.o470_11 -ea.s470_11"
    };

    override readonly config ti.targets.ITarget.Command asm = {
        cmd:  "cl470",
        opts: "-c -me --abi=ti_arm9_abi -mv=6 -eo.o470_11 -ea.s470_11"
    };

    /*!
     *  ======== linkLib ========
     *  Default TMS470 cgtools runtime library to link with 
     *  (options: rts16earm11.lib, rts32earm11.lib)
     */
    config String linkLib = "rts16earm11.lib";
}
